Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.testing
Class TestableObject

    java.lang.Object
      org.eclipse.ui.testing.TestableObject

public class TestableObject
extends Object

A testable object. Allows a test harness to register itself with a testable object. The test harness is notified of test-related lifecycle events, such as when is an appropriate time to run tests on the object. This also provides API for running tests as a runnable, and for signaling when the tests are starting and when they are finished.

The workbench provides an implementation of this facade, available via `PlatformUI.getTestableObject()`.

Since:
  3.0

Constructor Summary
`TestableObject()`

Method Summary
`ITestHarness` | `getTestHarness()` Returns the test harness, or `null` if it has not yet been set.
`void` | `runTest(Runnable testRunnable)` Runs the given test runnable.
`void` | `setTestHarness(ITestHarness testHarness)` Sets the test harness.
`void` | `testingFinished()` Notification from the test harness that it has finished running the tests.
`void` | `testingStarting()` Notification from the test harness that it is starting to run the tests.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestableObject

    public TestableObject()

Method Detail

### getTestHarness

    public ITestHarness getTestHarness()

  Returns the test harness, or `null` if it has not yet been set.

  Returns:
    the test harness or `null`

### setTestHarness

    public void setTestHarness(ITestHarness testHarness)

  Sets the test harness.

  Parameters:
    `testHarness` - the test harness

### runTest

    public void runTest(Runnable testRunnable)

  Runs the given test runnable. The default implementation simply invokes `run` on the given test runnable. Subclasses may extend.

  Parameters:
    `testRunnable` - the test runnable to run

### testingStarting

    public void testingStarting()

  Notification from the test harness that it is starting to run the tests. The default implementation does nothing. Subclasses may override.

### testingFinished

    public void testingFinished()

  Notification from the test harness that it has finished running the tests. The default implementation does nothing. Subclasses may override.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.